## zowe › endevor-bridge-for-git › build › job-report

Get the report after executing 'build job-submit' command. This this command must be issued to finalize processing.

#### Usage

zowe endevor-bridge-for-git build job-report [options]

#### Required Options

- `--endevor-instance` | `--endevori` (string)

  - The Endevor Web Services Endevor configuration name.

#### Options

- `--work-dir` | `--wd` (string)

  - The local working directory of your Git-Endevor mapping that you are building.

    Default value: ./

- `--listing-dir` (string)

  - Specify the directory where you would like to have your build outputs downloaded

    Default value: .endevor/listings

- `--listing-rc` (number)

  - All the elements that have a generate result equal to or greater than "listing-rc" will have their build outputs downloaded into "listing-dir"

    Default value: 4

#### Endevor options (alternatively use an 'endevor' profile)

- `--endevor-protocol` | `--endevorprot` (string)

  - The Endevor SCM Rest API protocol.

    Default value: http

    Allowed values: http, https

- `--endevor-host` | `--endevorh` (string)

  - The Endevor Rest API hostname.

- `--endevor-port` | `--endevorp` (number)

  - The Endevor Rest API port.

- `--endevor-user` | `--endevoru` (string)

  - Mainframe (Endevor) username, which can be the same as your TSO login.

- `--endevor-password` | `--endevorpass` | `--endevorpw` (string)

  - Mainframe (Endevor) password, which can be the same as your TSO password.

- `--endevor-reject-unauthorized` | `--endevorru` (boolean)

  - Reject self-signed certificates.

    Default value: true

- `--endevor-base-path` | `--endevorbp` (string)

  - The Endevor SCM Rest API base path.

    Default value: EndevorService/rest

#### z/OSMF connection options (alternatively use a 'zosmf' profile)

- `--zosmf-host` | `--zosmfh` (string)

  - The z/OSMF server host name.

- `--zosmf-port` | `--zosmfp` (number)

  - The z/OSMF server port.

    Default value: 443

- `--zosmf-user` | `--zosmfu` (string)

  - Mainframe (z/OSMF) username, which can be the same as your TSO login.

- `--zosmf-password` | `--zosmfpass` | `--zosmfpw` (string)

  - Mainframe (z/OSMF) password, which can be the same as your TSO password.

- `--zosmf-reject-unauthorized` | `--zosmfru` (boolean)

  - Reject self-signed certificates.

    Default value: true

- `--zosmf-base-path` | `--zosmfbp` (string)

  - The base path for your API mediation layer instance. Specify this option toprepend the base path to all z/OSMF resources when making REST requests. Do notspecify this option if you are not using an API mediation layer.

#### Profile Options

- `--endevor-profile` | `--endevor-p` (string)

  - The name of a (endevor) profile to load for this command execution.

- `--zosmf-profile` | `--zosmf-p` (string)

  - The name of a (zosmf) profile to load for this command execution.

- `--base-profile` | `--base-p` (string)

  - The name of a (base) profile to load for this command execution.

#### Base Connection Options

- `--host` | `-H` (string)

  - Host name of service on the mainframe.

- `--port` | `-P` (number)

  - Port number of service on the mainframe.

- `--user` | `-u` (string)

  - User name to authenticate to service on the mainframe.

- `--password` | `--pass` | `--pw` (string)

  - Password to authenticate to service on the mainframe.

- `--reject-unauthorized` | `--ru` (boolean)

  - Reject self-signed certificates.

    Default value: true

- `--token-type` | `--tt` (string)

  - The type of token to get and use for the API. Omit this option to use the default token type, which is provided by 'zowe auth login'.

- `--token-value` | `--tv` (string)

  - The value of the token to pass to the API.

- `--cert-file` (local file path)

  - The file path to a certificate file to use for authentication

- `--cert-key-file` (local file path)

  - The file path to a certificate key file to use for authentication

#### Response Format Options

- `--response-format-filter` | `--rff` (array)

  - Filter (include) fields in the response. Accepts an array of field/property names to include in the output response. You can filter JSON objects properties OR table columns/fields. In addition, you can use this option in conjunction with '--response-format-type' to reduce the output of a command to a single field/property or a list of a single field/property.

- `--response-format-type` | `--rft` (string)

  - The command response output format type. Must be one of the following:

    table: Formats output data as a table. Use this option when the output data is an array of homogeneous JSON objects. Each property of the object will become a column in the table.

    list: Formats output data as a list of strings. Can be used on any data type (JSON objects/arrays) are stringified and a new line is added after each entry in an array.

    object: Formats output data as a list of prettified objects (or single object). Can be used in place of "table" to change from tabular output to a list of prettified objects.

    string: Formats output data as a string. JSON objects/arrays are stringified.

    Allowed values: table, list, object, string

- `--response-format-header` | `--rfh` (boolean)

  - If "--response-format-type table" is specified, include the column headers in the output.

#### Examples

- Get the reports from the build job submitted by 'build job-submit' command from git working directory "/endevor/ebg/repository" using existing Endevor and z/OSMF profiles:

  - `zowe endevor-bridge-for-git build job-report --wd "C:\endevor\ebg\dir"`